#### D.15.32.4 diagonalizeVecFieldLin

Procedure from library `VecField.lib` (see VecField_lib).

Usage:
  diagonalizeVecFieldLin(list l), where l is a list of VecFields

Return:
  list W of the same VecFields in new coords s.t. the linear parts are diagonal, all in the same coordinates

Assume:
  All linear parts of the entries of l are simultaneously diagonalizable.

Example:

    LIB "VecField.lib";
    ring r = 0, (x, y, z),ds;
    vector v = [-1,-1,-1];
    VecField V = v;
    V.precision = 4;
    map phi = r, x-2y2+z3,2y+y3+z,z;
    VecField W = changeCoordinates(V,phi);
    VecField X = [-2,1,0];
    list d = diagonalizeVecFieldLin(W,X);

User manual for Singular version 4.4.1, 2025, generated by texi2html.